#
# spec file for package purple-libsteam
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global plugin_name libsteam
%global dir_name steam-mobile
Name:           purple-%{plugin_name}
Version:        1.6.1
Release:        1.1
Summary:        Steam plugin for Pidgin/libpurple
License:        GPL-3.0
Url:            https://github.com/EionRobb/pidgin-opensteamworks
Source:         https://github.com/EionRobb/pidgin-opensteamworks/archive/%{version}.tar.gz#/pidgin-opensteamworks-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gnome-keyring-1)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  dos2unix

%package -n pidgin-%{plugin_name}
Summary:        Adds pixmaps, icons and smileys for Steam protocol
Requires:       %{name} = %{version}-%{release}
Requires:       pidgin
BuildArch:      noarch

%description
Adds support for Steam to Pidgin, Adium, Finch and other libpurple
based messengers.

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Steam protocol inplemented by steam-mobile.

%prep
%setup -q -n pidgin-opensteamworks-%{version}

%build
rm -rf %{dir_name}/releases
rm %{dir_name}/*.dll

# fix W: wrong-file-end-of-line-encoding
dos2unix README.md

cd %{dir_name}
make all

%install
cd %{dir_name}

mkdir -p %{buildroot}%{_libdir}/purple-2/
install %{plugin_name}.so %{buildroot}%{_libdir}/purple-2/
chmod 755 %{buildroot}%{_libdir}/purple-2/%{plugin_name}.so

mkdir -p %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/{16,22,48}
install steam16.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/16/steam.png
install steam22.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/22/steam.png
install steam48.png %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/48/steam.png

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/purple-2/%{plugin_name}.so
%doc README.md

%files -n pidgin-%{plugin_name}
%defattr(-,root,root)
%dir %{_datadir}/pixmaps/pidgin
%dir %{_datadir}/pixmaps/pidgin/protocols
%dir %{_datadir}/pixmaps/pidgin/protocols/16
%{_datadir}/pixmaps/pidgin/protocols/16/steam.png
%dir %{_datadir}/pixmaps/pidgin/protocols/22
%{_datadir}/pixmaps/pidgin/protocols/22/steam.png
%dir %{_datadir}/pixmaps/pidgin/protocols/48
%{_datadir}/pixmaps/pidgin/protocols/48/steam.png

%changelog
* Wed May 11 2016 jengelh@inai.de
- Move all non-%%setup,non-%%patch commands out of %%prep to %%build
  for quilt.
* Mon Mar  7 2016 mailaender@opensuse.org
- Updated to version 1.6.1
* Fri Dec  4 2015 vitaly@easycoding.org
- Added license file.
* Sun Nov 29 2015 vitaly@easycoding.org
- Applyed Maxim Orlov's fixes.
* Wed Oct 14 2015 vitaly@easycoding.org
- Created first RPM spec for Fedora/openSUSE.
